/*
 * SPDX-FileCopyrightText: 2021 Dimitris Kardarakos <dimkard@posteo.net>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

import QtQuick 2.12
import QtQuick.Controls 2.12 as Controls
import QtQuick.Layouts 1.12
import org.kde.kirigami 2.12 as Kirigami
import org.codeberg.dimkard.glossaico 1.0 as Glossaico

AbstractChallengePage {
    id: root

    property int selectedAnsweredIndex: -1

    challengeItem: listView
    title: "Which of these is..."

    ListView {
        id: listView

        model: root.challengeData.options

        Controls.ButtonGroup {
            id: buttonGroup
        }

        header: Kirigami.Heading {
            text: "Which of these is <b> " + root.challengeData.meaningInSourceLanguage +  "</b> ?"
            wrapMode: Text.WordWrap
            width: parent.width
            bottomPadding: Kirigami.Units.largeSpacing * 2
            leftPadding: Kirigami.Units.largeSpacing
        }

        delegate: Controls.RadioDelegate {
            text: modelData
            checked: model.index == root.selectedAnsweredIndex

            Controls.ButtonGroup.group: buttonGroup

            onToggled: {
                root.answerGiven = { "answer" : modelData }
                root.selectedAnsweredIndex = model.index
            }
        }
    }
}
